"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Logger {
    constructor() {
        this.RESET = "\x1b[0m";
        // Text color
        this.Bright = "\x1b[1m";
        this.Dim = "\x1b[2m";
        this.Underscore = "\x1b[4m";
        this.Blink = "\x1b[5m";
        this.Reverse = "\x1b[7m";
        this.Hidden = "\x1b[8m";
        // Foreground colors
        this.FgBlack = "\x1b[30m";
        this.FgRed = "\x1b[31m";
        this.FgGreen = "\x1b[32m";
        this.FgYellow = "\x1b[33m";
        this.FgBlue = "\x1b[34m";
        this.FgMagenta = "\x1b[35m";
        this.FgCyan = "\x1b[36m";
        this.FgWhite = "\x1b[37m";
        // Background colors
        this.BgBlack = "\x1b[40m";
        this.BgRed = "\x1b[41m";
        this.BgGreen = "\x1b[42m";
        this.BgYellow = "\x1b[43m";
        this.BgBlue = "\x1b[44m";
        this.BgMagenta = "\x1b[45m";
        this.BgCyan = "\x1b[46m";
        this.BgWhite = "\x1b[47m";
    }
    verson(message) {
        return console.log(this.FgWhite, message, this.RESET);
    }
    info(message) {
        return console.log(this.FgGreen, `${Date.now()}`, "INFO:", message, this.RESET);
    }
    warning(message) {
        return console.log(this.FgYellow, `${Date.now()}`, "WARNING:", message, this.RESET);
    }
    error(message) {
        return console.log(this.FgRed, `${Date.now()}`, "ERROR:", message, this.RESET);
    }
}
exports.default = Logger;
// const logger = pino({
//   transport: {
//     target: "pino-pretty",
//     options: {
//       colorize: true,
//       translateTime: "yyyy-dd-mm, h:MM:ss TT",
//     },
//   },
// });
// export default logger;
